#include "poly.h"
#include <stdio.h>
#include <stdlib.h>
#include <math.h>

//#define NV 10

void initPoly(struct Poly* P) {
   P->sx = 0.0;
   P->sy = 0.0;
   P->R = 1.0;
   P->NV = 6;
}
  

void polyCoords(struct Poly P, double x[], 
                               double y[], 
                               int *NWp) {

   double alpha;
   double da  = 2*M_PI/P.NV;
   int i;

   *NWp = P.NV;
 
   for ( i=0;  i<P.NV; i++)  {
     alpha = i*da;
     x[i] = P.sx + P.R*cos(alpha);
     y[i] = P.sy + P.R*sin(alpha);
   }
}

void poly(struct Poly P, const char *fname) {
   
   FILE* fh;

   fh= fopen(fname, "w");

   if (NULL == fh) {
     printf("Sorry cannot open file\n");
     exit(77);
   }

   double alpha, x,y;
   double da  = 2*M_PI/P.NV;
   int i;

   for ( i=0;  i<P.NV; i++)  {
     alpha = i*da;
     x = P.sx + P.R*cos(alpha);
     y = P.sy + P.R*sin(alpha);
     fprintf(fh, "%g\t\t%g\n", x,y);
   }

   //fprintf(fh, "%g %g %g\n", sx, sy, R);
   
   fclose(fh);
 
}

void piszPoly(struct Poly P, FILE *fh) {
  
   if (NULL == fh) {
     printf("Sorry cannot open file\n");
     exit(77);
   }

   double alpha, x,y;
   double da  = 2*M_PI/P.NV;
   int i;

   for ( i=0;  i<P.NV; i++)  {
     alpha = i*da;
     x = P.sx + P.R*cos(alpha);
     y = P.sy + P.R*sin(alpha);
     fprintf(fh, "%g\t\t%g\n", x,y);
   }
}


